#language: ru

@labeling

Функционал: 011. Labeling. Формирование заявки на маркировку и комплектацию, проверка заявки на производство

Сценарий: 011.1. Labeling. Настройки склада и доставки

	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Настройки склада и доставки'
	Тогда открылось окно 'Настройки склада и доставки'
	И я устанавливаю флаг "Обеспечивать потребность остатками"
	И я устанавливаю флаг "Вести учет по сменам"
	И Я закрываю окно 'Настройки склада и доставки'

Сценарий: 011.2. Labeling. Формирование заявки на маркировку и комплектацию

	Дано я удаляю объекты "Документы.к2ЗаявкаНаПроизводство" без контроля ссылок
	Дано я удаляю объекты "Справочники.к2НастройкиФормированияЗаявкиНаПроизводство" без контроля ссылок
	Дано я удаляю все элементы таблицы "РегистрСведений.к2ПрогнозныеОстаткиПроизводства"
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Формирование заявки на маркировку и комплектацию'
	Тогда открылось окно 'Формирование заявки на маркировку и комплектацию'
	И в поле 'Дата заявки' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Период потребности"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '19.10.2019'
	И в поле 'DateEnd' я ввожу текст '27.10.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Формирование заявки на маркировку и комплектацию'
	И я перехожу к закладке "Настройки"
	И я нажимаю кнопку выбора у поля "Настройка формирования заявки на производство"
	Тогда открылось окно 'Настройки формирования заявки на производство'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Настройки формирования заявки на производство (создание)'
	И в поле 'Наименование' я ввожу текст 'Сыры'
	И я перехожу к закладке "Товарные категории"
	И в таблице "ТоварныеКатегории" из выпадающего списка "Товарная категория" я выбираю по строке 'Твердые сыры'
	И в таблице "ТоварныеКатегории" я добавляю строку
	И в таблице "ТоварныеКатегории" из выпадающего списка "Товарная категория" я выбираю по строке 'Полутвердые сыры'
	И в таблице "ТоварныеКатегории" я добавляю строку
	И в таблице "ТоварныеКатегории" из выпадающего списка "Товарная категория" я выбираю по строке 'Мягкие сыры'
	И в таблице "ТоварныеКатегории" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки формирования заявки на производство (создание) *' в течение 20 секунд
	Тогда открылось окно 'Настройки формирования заявки на производство'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Формирование заявки на маркировку и комплектацию'
	И я снимаю флаг "Обеспечить без учета остатка"
	И из выпадающего списка "Склад маркированной продукции" я выбираю по строке 'Склад маркировки'
	И из выпадающего списка "Склад немаркированной продукции" я выбираю по строке 'Склад готовой продукции'
	И я перехожу к закладке "Потребность"
	И в таблице "ДеревоПотребности" я нажимаю на кнопку 'Обновить дерево потребности'
	И в таблице "ДеревоПотребности" я разворачиваю строку с подчиненными:
		| 'Номенклатура\Характеристика\Заказ клиента' |
		| 'Сыр Сулугуни'                            |
	И в таблице "ДеревоПотребности" я разворачиваю строку с подчиненными:
		| 'Номенклатура\Характеристика\Заказ клиента' |
		| 'Ашан'                                      |
	Тогда таблица "ДеревоПотребности" стала равной по шаблону:
		| 'Номенклатура\Характеристика\Заказ клиента' | 'Дата отгрузки' | 'Потр.'     | 'Кратность' | 'Дост. ост.' | 'Заказ'     | 'Исп. ост.' |
		| 'Сыр Сулугуни'                              | ''              | '2 500,000' | ''          | ''           | '2 500,000' | ''          |
		| 'Ашан'                                      | ''              | '2 500,000' | ''          | ''           | '2 500,000' | ''          |
		| 'Заказ клиента * от *'                      | '20.10.2019'    | '500,000'   | '5,000'     | ''           | '500,000'   | ''          |
		| 'Заказ клиента * от *'                      | '21.10.2019'    | '500,000'   | '5,000'     | ''           | '500,000'   | ''          |
		| 'Заказ клиента * от *'                      | '22.10.2019'    | '500,000'   | '5,000'     | ''           | '500,000'   | ''          |
		| 'Заказ клиента * от *'                      | '23.10.2019'    | '500,000'   | '5,000'     | ''           | '500,000'   | ''          |
		| 'Заказ клиента * от *'                      | '24.10.2019'    | '500,000'   | '5,000'     | ''           | '500,000'   | ''          |
	И в таблице "ДеревоПотребности" я нажимаю на кнопку 'Заполнить остатки'
	Тогда открылось окно 'Форма ввода остатков'
	И в табличном документе 'ТабличныйДокумент' я перехожу к ячейке "R2C2"
	И в табличном документе 'ТабличныйДокумент' я делаю двойной клик на текущей ячейке
	И в табличный документ "ТабличныйДокумент" я ввожу текст 'Сыр Сулугуни'
	И в табличном документе 'ТабличныйДокумент' я перехожу к ячейке "R2C3"
	И в табличном документе 'ТабличныйДокумент' я делаю двойной клик на текущей ячейке
	И в табличный документ "ТабличныйДокумент" я ввожу текст 'Ашан'
	И в табличном документе 'ТабличныйДокумент' я перехожу к ячейке "R2C5"
	И в табличном документе 'ТабличныйДокумент' я делаю двойной клик на текущей ячейке
	И в табличный документ "ТабличныйДокумент" я ввожу текст '24.10.2019'
	И в табличном документе 'ТабличныйДокумент' я перехожу к ячейке "R2C6"
	И в табличном документе 'ТабличныйДокумент' я делаю двойной клик на текущей ячейке
	И в табличный документ "ТабличныйДокумент" я ввожу текст '1000'
	И в табличном документе 'ТабличныйДокумент' я перехожу к ячейке "R2C7"
	И в табличном документе 'ТабличныйДокумент' я делаю двойной клик на текущей ячейке
	И в табличный документ "ТабличныйДокумент" я ввожу текст '1000'
	И я нажимаю на кнопку 'Прочитать'
	И элемент формы "Склад" стал равен "Склад маркировки"
	Тогда таблица "Остатки" стала равной:
		| 'Номенклатура' | 'Количество прочитано' | 'Характеристика' | 'Серия' | 'Упаковка'           | 'Кратность' | 'Количество' | 'Количество упаковок' |
		| 'Сыр Сулугуни' | '1 000,00'             | 'Ашан'           | ''      | 'упак (5 кг) (Ашан)' | '5,00'      | '1 000,00'   | '200'                 |
	И я нажимаю на кнопку 'Загрузить'
	Тогда открылось окно 'Формирование заявки на маркировку и комплектацию'
	И в таблице "ДеревоПотребности" я разворачиваю текущую строку с подчиненными
	И в таблице "ДеревоПотребности" я разворачиваю строку с подчиненными:
		| 'Номенклатура\Характеристика\Заказ клиента' |
		| 'Ашан'                                      | 
	И в таблице "ДеревоПотребности" я перехожу к строке:
		| 'Дата отгрузки' | 'Заказ'   | 'Кратность' | 'Потр.'   |
		| '20.10.2019'    | '500,000' | '5,000'     | '500,000' |
	И в таблице "ТаблицаОбеспеченияОстатками" в поле 'Исп.' я ввожу текст '300,000'
	И в таблице "ТаблицаОбеспеченияОстатками" я завершаю редактирование строки
	И в таблице "ДеревоПотребности" я перехожу к строке:
		| 'Дата отгрузки' | 'Заказ'   | 'Кратность' | 'Потр.'   |
		| '21.10.2019'    | '500,000' | '5,000'     | '500,000' |
	И в таблице "ТаблицаОбеспеченияОстатками" в поле 'Исп.' я ввожу текст '200,000'
	И в таблице "ТаблицаОбеспеченияОстатками" я завершаю редактирование строки
	И в таблице "ДеревоПотребности" я перехожу к строке:
		| 'Дата отгрузки' | 'Заказ'   | 'Кратность' | 'Потр.'   |
		| '23.10.2019'    | '500,000' | '5,000'     | '500,000' |
	И в таблице "ТаблицаОбеспеченияОстатками" в поле 'Исп.' я ввожу текст '400,000'
	И в таблице "ТаблицаОбеспеченияОстатками" я завершаю редактирование строки
	И в таблице "ДеревоПотребности" я перехожу к строке:
		| 'Дата отгрузки' | 'Заказ'   | 'Кратность' | 'Потр.'   |
		| '24.10.2019'    | '500,000' | '5,000'     | '500,000' |
	И в таблице "ТаблицаОбеспеченияОстатками" в поле 'Исп.' я ввожу текст '100,000'
	И в таблице "ТаблицаОбеспеченияОстатками" я завершаю редактирование строки
	И в таблице "ДеревоПотребности" я нажимаю на кнопку 'Сохранить потребность'
	Тогда открылось окно 'Заполнение потребности маркировки'
	И я нажимаю на кнопку 'Перезаполнить'
	Тогда открылось окно 'Формирование заявки на маркировку и комплектацию'
	И я перехожу к закладке "Маркировка и комплектация"
	Тогда таблица "ТаблицаПотребности" стала равной по шаблону:
		| 'Номенклатура' | 'Характеристика' | 'Заказ клиента'        | 'Количество потребность' | 'Кратность' | 'Количество обеспечено' |
		| 'Сыр Сулугуни' | 'Ашан'           | 'Заказ клиента * от *' | '200,000'                | '5,000'     | ''                      |
		| 'Сыр Сулугуни' | 'Ашан'           | 'Заказ клиента * от *' | '300,000'                | '5,000'     | ''                      |
		| 'Сыр Сулугуни' | 'Ашан'           | 'Заказ клиента * от *' | '500,000'                | '5,000'     | ''                      |
		| 'Сыр Сулугуни' | 'Ашан'           | 'Заказ клиента * от *' | '100,000'                | '5,000'     | ''                      |
		| 'Сыр Сулугуни' | 'Ашан'           | 'Заказ клиента * от *' | '400,000'                | '5,000'     | ''                      |
	И я перехожу к закладке "Потребность"
	И я нажимаю кнопку выбора у поля "Период потребности"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '15.11.2019'
	И в поле 'DateEnd' я ввожу текст '18.11.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Формирование заявки на маркировку и комплектацию'
	И в таблице "ДеревоПотребности" я нажимаю на кнопку 'Обновить дерево потребности'
	И в таблице "ДеревоПотребности" я разворачиваю текущую строку с подчиненными
	И в таблице "ДеревоПотребности" я разворачиваю строку с подчиненными:
		| 'Дост. ост.' | 'Заказ'  | 'Номенклатура\Характеристика\Заказ клиента' | 'Потр.'  |
		| '1 000,000'  | '50,000' | 'Ашан'                                      | '50,000' |
	И в таблице "ДеревоПотребности" я перехожу к строке:
		| 'Дата отгрузки' | 'Заказ'  | 'Кратность' | 'Потр.'  |
		| '15.11.2019'    | '50,000' | '5,000'     | '50,000' |
	И в таблице "ДеревоПотребности" я нажимаю на кнопку 'Сохранить потребность'
	Тогда открылось окно 'Заполнение потребности маркировки'
	И я нажимаю на кнопку 'Дозаполнить'
	Тогда открылось окно 'Формирование заявки на маркировку и комплектацию'
	И я перехожу к закладке "Маркировка и комплектация"
	Тогда таблица "ТаблицаПотребности" стала равной по шаблону:
		| 'Номенклатура' | 'Характеристика' | 'Заказ клиента'                                    | 'Количество потребность' | 'Кратность' | 'Количество обеспечено' |
		| 'Сыр Сулугуни' | 'Ашан'           | 'Заказ клиента * от *' | '200,000'                | '5,000'     | ''                      |
		| 'Сыр Сулугуни' | 'Ашан'           | 'Заказ клиента * от *' | '300,000'                | '5,000'     | ''                      |
		| 'Сыр Сулугуни' | 'Ашан'           | 'Заказ клиента * от *' | '500,000'                | '5,000'     | ''                      |
		| 'Сыр Сулугуни' | 'Ашан'           | 'Заказ клиента * от *' | '100,000'                | '5,000'     | ''                      |
		| 'Сыр Сулугуни' | 'Ашан'           | 'Заказ клиента * от *' | '400,000'                | '5,000'     | ''                      |
		| 'Сыр Сулугуни' | 'Ашан'           | 'Заказ клиента * от *' | '50,000'                 | '5,000'     | ''                      |
	И я перехожу к закладке "Потребность"
	И в таблице "ДеревоПотребности" я нажимаю на кнопку 'Сохранить потребность'
	Тогда открылось окно 'Заполнение потребности маркировки'
	И я нажимаю на кнопку 'Перезаполнить'
	Тогда открылось окно 'Формирование заявки на маркировку и комплектацию'
	И я перехожу к закладке "Маркировка и комплектация"
	Тогда таблица "ТаблицаПотребности" стала равной по шаблону:
		| 'Номенклатура' | 'Характеристика' | 'Заказ клиента'        | 'Количество потребность' | 'Кратность' | 'Количество обеспечено' |
		| 'Сыр Сулугуни' | 'Ашан'           | 'Заказ клиента * от *' | '50,000'                 | '5,000'     | ''                      |
	И я перехожу к закладке "Потребность"
	И я нажимаю кнопку выбора у поля "Период потребности"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '19.10.2019'
	И в поле 'DateEnd' я ввожу текст '27.10.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Формирование заявки на маркировку и комплектацию'
	И в таблице "ДеревоПотребности" я нажимаю на кнопку 'Обновить дерево потребности'
	И в таблице "ДеревоПотребности" я разворачиваю текущую строку с подчиненными
	И в таблице "ДеревоПотребности" я разворачиваю строку с подчиненными:
		| 'Номенклатура\Характеристика\Заказ клиента' |
		| 'Ашан'                                      | 
	И в таблице "ДеревоПотребности" я перехожу к строке:
		| 'Дата отгрузки' | 'Заказ'   | 'Кратность' | 'Потр.'   |
		| '20.10.2019'    | '500,000' | '5,000'     | '500,000' |
	И в таблице "ТаблицаОбеспеченияОстатками" в поле 'Исп.' я ввожу текст '300,000'
	И в таблице "ТаблицаОбеспеченияОстатками" я завершаю редактирование строки
	И в таблице "ДеревоПотребности" я перехожу к строке:
		| 'Дата отгрузки' | 'Заказ'   | 'Кратность' | 'Потр.'   |
		| '21.10.2019'    | '500,000' | '5,000'     | '500,000' |
	И в таблице "ТаблицаОбеспеченияОстатками" в поле 'Исп.' я ввожу текст '200,000'
	И в таблице "ТаблицаОбеспеченияОстатками" я завершаю редактирование строки
	И в таблице "ДеревоПотребности" я перехожу к строке:
		| 'Дата отгрузки' | 'Заказ'   | 'Кратность' | 'Потр.'   |
		| '23.10.2019'    | '500,000' | '5,000'     | '500,000' |
	И в таблице "ТаблицаОбеспеченияОстатками" в поле 'Исп.' я ввожу текст '400,000'
	И в таблице "ТаблицаОбеспеченияОстатками" я завершаю редактирование строки
	И в таблице "ДеревоПотребности" я перехожу к строке:
		| 'Дата отгрузки' | 'Заказ'   | 'Кратность' | 'Потр.'   |
		| '24.10.2019'    | '500,000' | '5,000'     | '500,000' |
	И в таблице "ТаблицаОбеспеченияОстатками" в поле 'Исп.' я ввожу текст '100,000'
	И в таблице "ТаблицаОбеспеченияОстатками" я завершаю редактирование строки
	И в таблице "ДеревоПотребности" я нажимаю на кнопку 'Сохранить потребность'
	Тогда открылось окно 'Заполнение потребности маркировки'
	И я нажимаю на кнопку 'Перезаполнить'
	Тогда открылось окно 'Формирование заявки на маркировку и комплектацию'
	И я перехожу к закладке "Маркировка и комплектация"
	И в таблице "ТаблицаПотребности" я нажимаю на кнопку 'Обновить маркировку и комплектацию'
	Тогда таблица "ТаблицаПотребности" стала равной по шаблону:
		| 'Номенклатура' | 'Характеристика' | 'Заказ клиента'        | 'Количество потребность' | 'Кратность' | 'Количество обеспечено' |
		| 'Сыр Сулугуни' | 'Ашан'           | 'Заказ клиента * от *' | '200,000'                | '5,000'     | ''                      |
		| 'Сыр Сулугуни' | 'Ашан'           | 'Заказ клиента * от *' | '300,000'                | '5,000'     | ''                      |
		| 'Сыр Сулугуни' | 'Ашан'           | 'Заказ клиента * от *' | '500,000'                | '5,000'     | ''                      |
		| 'Сыр Сулугуни' | 'Ашан'           | 'Заказ клиента * от *' | '100,000'                | '5,000'     | ''                      |
		| 'Сыр Сулугуни' | 'Ашан'           | 'Заказ клиента * от *' | '400,000'                | '5,000'     | ''                      |
	И в таблице "ТаблицаСырья" я перехожу к строке:
		| 'Доступно' | 'Номенклатура сырья' | 'Серия сырья'                  | 'Характеристика сырья' |
		| '500,000'  | 'Сыр Сулугуни'       | '000001 до 20.10.2019 0:00:00' | '<Без маркировки>'     |
	И в таблице "ТаблицаСырья" в поле с именем 'ТаблицаСырьяИспользовано' я ввожу текст '200,000'
	И в таблице "ТаблицаСырья" я завершаю редактирование строки
	И в таблице "ТаблицаПотребности" я перехожу к строке:
		| 'Количество потребность' | 'Кратность' | 'Номенклатура' | 'Характеристика' |
		| '300,000'                | '5,000'     | 'Сыр Сулугуни' | 'Ашан'           |
	И в таблице "ТаблицаПотребности" я нажимаю на кнопку 'Обеспечить потребность сырьем'
	И в таблице "ТаблицаПотребности" я нажимаю на кнопку 'Сохранить маркировку и комплектацию'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг "Обеспечить без учета остатка"
	И я перехожу к закладке "Маркировка и комплектация"
	И в таблице "ТаблицаПотребности" я перехожу к строке:
		| 'Количество потребность' | 'Кратность' | 'Номенклатура' | 'Характеристика' |
		| '500,000'                | '5,000'     | 'Сыр Сулугуни' | 'Ашан'           |
	И в таблице "ТаблицаПотребности" я нажимаю на кнопку 'Обеспечить потребность сырьем'
	И в таблице "ТаблицаПотребности" я перехожу к строке:
		| 'Количество потребность' | 'Кратность' | 'Номенклатура' | 'Характеристика' |
		| '100,000'                | '5,000'     | 'Сыр Сулугуни' | 'Ашан'           |
	И в таблице "ТаблицаПотребности" я нажимаю на кнопку 'Обеспечить потребность сырьем'
	И в таблице "ТаблицаПотребности" я перехожу к строке:
		| 'Количество потребность' | 'Кратность' | 'Номенклатура' | 'Характеристика' |
		| '400,000'                | '5,000'     | 'Сыр Сулугуни' | 'Ашан'           |
	И в таблице "ТаблицаПотребности" я нажимаю на кнопку 'Обеспечить потребность сырьем'
	И в таблице "ТаблицаПотребности" я нажимаю на кнопку 'Сохранить маркировку и комплектацию'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Формирование заявки на маркировку и комплектацию'
	И Я закрываю окно 'Формирование заявки на маркировку и комплектацию'

Сценарий: 011.3. Labeling. Проверка заявки на производство

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Заявки на производство'
	Тогда я жду открытия окна 'Заявки на производство' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Вид заявки'                |
		| 'Маркировка и комплектация' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заявка на маркировку и комплектацию [*] * от *'
	И элемент формы "Вид заявки" стал равен "Маркировка и комплектация"
	И элемент формы "Настройка формирования заявки на производство" стал равен "Сыры"
	И я перехожу к закладке "Продукция"
	Тогда таблица "Продукция" стала равной по шаблону:
		| 'Количество' | 'Спецификация'       | 'Номенклатура' | 'Ед.' | 'Характеристика' | 'Запуск' | 'Время' | 'Квант' | 'Заказ'                | 'Номер партии' |
		| '200,000'    | 'Сыр Сулугуни(Ашан)' | 'Сыр Сулугуни' | 'кг'  | 'Ашан'           | ''       | ''      | ''      | 'Заказ клиента * от *' | ''             |
		| '300,000'    | 'Сыр Сулугуни(Ашан)' | 'Сыр Сулугуни' | 'кг'  | 'Ашан'           | ''       | ''      | ''      | 'Заказ клиента * от *' | ''             |
		| '500,000'    | 'Сыр Сулугуни(Ашан)' | 'Сыр Сулугуни' | 'кг'  | 'Ашан'           | ''       | ''      | ''      | 'Заказ клиента * от *' | ''             |
		| '100,000'    | 'Сыр Сулугуни(Ашан)' | 'Сыр Сулугуни' | 'кг'  | 'Ашан'           | ''       | ''      | ''      | 'Заказ клиента * от *' | ''             |
		| '400,000'    | 'Сыр Сулугуни(Ашан)' | 'Сыр Сулугуни' | 'кг'  | 'Ашан'           | ''       | ''      | ''      | 'Заказ клиента * от *' | ''             |
	И я перехожу к закладке "Сырье"
	Тогда таблица "Сырье" стала равной:
		| 'Спецификация'       | 'Количество' | 'Номенклатура' | 'Характеристика'   | 'Серия'                        | 'Дата выпуска' | 'Запуск' |
		| 'Сыр Сулугуни(Ашан)' | '200,000'    | 'Сыр Сулугуни' | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | ''             | ''       |
		| 'Сыр Сулугуни(Ашан)' | '300,000'    | 'Сыр Сулугуни' | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | ''             | ''       |
		| 'Сыр Сулугуни(Ашан)' | '500,000'    | 'Сыр Сулугуни' | '<Без маркировки>' | ''                             | ''             | ''       |
		| 'Сыр Сулугуни(Ашан)' | '100,000'    | 'Сыр Сулугуни' | '<Без маркировки>' | ''                             | ''             | ''       |
		| 'Сыр Сулугуни(Ашан)' | '400,000'    | 'Сыр Сулугуни' | '<Без маркировки>' | ''                             | ''             | ''       |
	И Я закрываю окно 'Заявка на маркировку и комплектацию [*] * от *'
	Тогда я жду открытия окна 'Заявки на производство' в течение 20 секунд
	И Я закрываю окно 'Заявки на производство'

Сценарий: 011.4. Labeling. Завершение

	И Я закрыл все окна клиентского приложения